AbstractMarker.MultiColumnRaw (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class AbstractMarker.MultiColumnRaw

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Raw
  - - org.apache.cassandra.cql3.Term.MultiColumnRaw
    - - org.apache.cassandra.cql3.AbstractMarker.MultiColumnRaw

- All Implemented Interfaces:
    AssignmentTestable
  Direct Known Subclasses:
    Tuples.INRaw, Tuples.Raw
  Enclosing class:
    AbstractMarker

      public abstract static class AbstractMarker.MultiColumnRaw
      extends Term.MultiColumnRaw

  A MultiColumnRaw version of AbstractMarker.Raw

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `bindIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiColumnRaw(int bindIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()`
    `Term.NonTerminal` | `prepare(java.lang.String keyspace, ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
    `AssignmentTestable.TestResult` | `testAssignment(java.lang.String keyspace, ColumnSpecification receiver)`

    - ### Methods inherited from class org.apache.cassandra.cql3.Term.MultiColumnRaw

      `prepare`

    - ### Methods inherited from class org.apache.cassandra.cql3.Term.Raw

      `getExactTypeIfKnown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bindIndex

          protected final int bindIndex

  - ### Constructor Detail

    - #### MultiColumnRaw

          public MultiColumnRaw(int bindIndex)

  - ### Method Detail

    - #### prepare

          public Term.NonTerminal prepare(java.lang.String keyspace,
                                          ColumnSpecification receiver)
                                   throws InvalidRequestException

      Description copied from class: `Term.Raw`
      This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
      Specified by:
        `prepare` in class `Term.Raw`
        `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
      Returns:
        the prepared term.
      Throws:
        `InvalidRequestException`

    - #### testAssignment

          public AssignmentTestable.TestResult testAssignment(java.lang.String keyspace,
                                                              ColumnSpecification receiver)

      Returns:
        whether this object can be assigned to the provided receiver. We distinguish between 3 values: - EXACT_MATCH if this object is exactly of the type expected by the receiver - WEAKLY_ASSIGNABLE if this object is not exactly the expected type but is assignable nonetheless - NOT_ASSIGNABLE if it's not assignable Most caller should just call the isAssignable() method on the result, though functions have a use for testing "strong" equality to decide the most precise overload to pick when multiple could match.

    - #### getText

          public java.lang.String getText()

      Specified by:
        `getText` in class `Term.Raw`
      Returns:
        a String representation of the raw term that can be used when reconstructing a CQL query string.

Copyright © 2018 The Apache Software Foundation